Bug 1631036 (CVE-2018-9516) - CVE-2018-9516 kernel: HID: debug: Buffer overflow in hid_debug_events_read() in drivers/hid/hid-debug.c
Summary: CVE-2018-9516 kernel: HID: debug: Buffer overflow in hid_debug_events_read() ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-9516
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1631037 1631038 1631039 1635833 1635834 1635835 1635836 1635837
Blocks: 1631041
TreeView+ depends on / blocked
 
Reported: 2018-09-19 19:32 UTC by Pedro Sampaio
Modified: 2019-11-18 07:55 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel in the hid_debug_events_read() function in the drivers/hid/hid-debug.c file. A lack of the certain checks may allow a privileged user ("root") to achieve an out-of-bounds write and thus receiving user space buffer corruption.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:04:24 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:06:48 UTC

Description Pedro Sampaio 2018-09-19 19:32:10 UTC
A flaw was found in the Linux kernel in the hid_debug_events_read() function in the drivers/hid/hid-debug.c file. A lack of the certain checks may allow a privileged user ("root") to achieve an out-of-bounds write and thus receiving userspace buffer corruption.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=717adfdaf14704fd3ec7fa2c04520c0723247eac

Note: this fix introduces another vulnerability CVE-2019-3819/bz1669187 and these both should be fixed.

Comment 1 Pedro Sampaio 2018-09-19 19:33:07 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1631037]

Comment 3 Justin M. Forbes 2018-09-20 12:14:59 UTC
This was fixed for Fedora with 4.17.6 stable updates

Comment 7 errata-xmlrpc 2019-08-06 12:04:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 8 errata-xmlrpc 2019-08-06 12:06:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043

Comment 9 Product Security DevOps Team 2019-08-06 13:19:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-9516


Note You need to log in before you can comment on or make changes to this bug.